--
-- Dumping data for table `spagobi`.`SBI_DOMAINS`
--
INSERT INTO SBI_DOMAINS VALUES  (1,'QUERY','Query statement','INPUT_TYPE','Input mode and values','Query statement to load list of values to choose in');
INSERT INTO SBI_DOMAINS VALUES  (2,'SCRIPT','Script to load values','INPUT_TYPE','Input mode and values','Script to load values');
INSERT INTO SBI_DOMAINS VALUES  (3,'FIX_LOV','Fixed list of values','INPUT_TYPE','Input mode and values','Predefined and hard coded list of values to choose in');
INSERT INTO SBI_DOMAINS VALUES  (4,'JAVA_CLASS','Java class','INPUT_TYPE','Input mode and values','Java class to load list of values to choose in');
INSERT INTO SBI_DOMAINS VALUES  (5,'REPORT','Report','BIOBJ_TYPE','BI Object types','Basic business intelligence objects type');
INSERT INTO SBI_DOMAINS VALUES  (6,'DASH','Dashboard','BIOBJ_TYPE','BI Object types','Dashboard to monitor perfomance indicators');
INSERT INTO SBI_DOMAINS VALUES  (7,'WEBAPP','Web Application','BIOBJ_TYPE','BI Object types','Custom Web Application');
INSERT INTO SBI_DOMAINS VALUES  (8,'BOOL','Boolean','VALUE_TYPE','Input value types to check','Boolean input value type');
INSERT INTO SBI_DOMAINS VALUES  (9,'SINGLE','Single value','VALUE_TYPE','Input value types to check','Only single value allowed');
INSERT INTO SBI_DOMAINS VALUES  (10,'MULTI','Multivalue','VALUE_TYPE','Input value types to check','Many values are allowed');
INSERT INTO SBI_DOMAINS VALUES  (11,'DATE','Date','PAR_TYPE','Parameter type','Parameter expects date values');
INSERT INTO SBI_DOMAINS VALUES  (12,'NUM','Number','PAR_TYPE','Parameter type','Parameter expects numerical values');
INSERT INTO SBI_DOMAINS VALUES  (13,'STRING','String','PAR_TYPE','Parameter type','Parameter expects textual values');
INSERT INTO SBI_DOMAINS VALUES  (14,'FUNCT','Functional role','ROLE_TYPE','User role type','Functional role for end users');
INSERT INTO SBI_DOMAINS VALUES  (15,'ADMIN','Administrative role','ROLE_TYPE','User role type','Administrative role for developer users');
INSERT INTO SBI_DOMAINS VALUES  (16,'SUSP','Suspended','STATE','Object state','Document temporanlly not in use');
INSERT INTO SBI_DOMAINS VALUES  (17,'PORTAL','External portal roles','ROLE_TYPE','User role type','Predefined roles in BI portal');
INSERT INTO SBI_DOMAINS VALUES  (18,'LOW_FUNCT','Low level functionality','FUNCT_TYPE','Functionality','BI Functionality joined to categories tree');
INSERT INTO SBI_DOMAINS VALUES  (19,'DEV','Development','STATE','Object state','Document in development phase');
INSERT INTO SBI_DOMAINS VALUES  (20,'TEST','Test','STATE','Object state','Document in testing phase');
INSERT INTO SBI_DOMAINS VALUES  (21,'REL','Released','STATE','Object state','Document released for end users use');
INSERT INTO SBI_DOMAINS VALUES  (22,'DATE','Date','CHECK','Check','Date');
INSERT INTO SBI_DOMAINS VALUES  (23,'REGEXP','Regexp','CHECK','Check','Regular Expression ');
INSERT INTO SBI_DOMAINS VALUES  (24,'MAXLENGTH','Max Length','CHECK','Check','Max Length');
INSERT INTO SBI_DOMAINS VALUES  (25,'RANGE','Range','CHECK','Check','Range');
INSERT INTO SBI_DOMAINS VALUES  (26,'DECIMALS','Decimal','CHECK','Check','Decimal');
INSERT INTO SBI_DOMAINS VALUES  (27,'MINLENGTH','Min Length','CHECK','Check','Min Length');
INSERT INTO SBI_DOMAINS VALUES  (28,'INTERNET ADDRESS','Internet Address','PRED_CHECK','Pred Check','Internet Address');
INSERT INTO SBI_DOMAINS VALUES  (29,'NUMERIC','Numeric','PRED_CHECK','Pred Check','Numeric');
INSERT INTO SBI_DOMAINS VALUES  (30,'ALFANUMERIC','Alfanumeric','PRED_CHECK','Pred Check','Alfanumeric');
INSERT INTO SBI_DOMAINS VALUES  (31,'LETTERSTRING','Letter String','PRED_CHECK','Pred Check','Letter');
INSERT INTO SBI_DOMAINS VALUES  (32,'MANDATORY','Mandatory','PRED_CHECK','Check','Mandatory');
INSERT INTO SBI_DOMAINS VALUES  (33,'FISCALCODE','Fiscal Code','PRED_CHECK','Pred Check','Fiscal Code');
INSERT INTO SBI_DOMAINS VALUES  (34,'EMAIL','E-Mail','PRED_CHECK','Pred Check','E-Mail');
INSERT INTO SBI_DOMAINS VALUES  (35,'EXT','External Engine','ENGINE_TYPE','Engine types','Business intelligence external engine of SpagoBI platform');
INSERT INTO SBI_DOMAINS VALUES  (36,'INT','Internal Engine','ENGINE_TYPE','Engine types','Business intelligence internal engine of SpagoBI platform');
INSERT INTO SBI_DOMAINS VALUES  (37,'LIST','List values selection','SELECTION_TYPE','Selection modality of parameter values','Single-value selection from a list');
INSERT INTO SBI_DOMAINS VALUES  (38,'CHECK_LIST','CheckList values selection','SELECTION_TYPE','Selection modality of parameter values','Multi-value selection from a checklist');
INSERT INTO SBI_DOMAINS VALUES  (39,'COMBOBOX','ComboBox values selection','SELECTION_TYPE','Selection modality of parameter values','Single value selection from a combobox');


--
-- Dumping data for table `spagobi`.`SBI_ENGINES`
--
INSERT INTO SBI_ENGINES VALUES  (1,0,'Dashboard Internal Engine','Dashboard Internal Engine','','','','','','DASHIE',36,'it.eng.spagobi.engines.dashboard.SpagoBIDashboardInternalEngine',6);
INSERT INTO SBI_ENGINES VALUES  (2,0,'Jasper Report Internal Engine','Jasper Report Internal Engine','','','','','','JRIE',36,'it.eng.spagobi.engines.reports.jasperreport.JasperReportInternalEngine',5);
INSERT INTO SBI_ENGINES VALUES  (3,0,'Custom Web Application Internal Engine','Custom Web Application Internal Engine','','','','','','CWAIE',36,'it.eng.spagobi.engines.custom.CustomWebAppInternalEngine',7);

--
-- Dumping data for table `spagobi`.`SBI_LOV`
--
INSERT INTO SBI_LOV VALUES  (1,'Number Instances Order Process','N_INST_PROC_ORDER','QUERY',NULL,'<QUERY><CONNECTION>smxdb</CONNECTION><STMT>select s.name, count(i.id_assembly) as instances from service_assembly s, instance_sa i  where s.name=''order'' and i.id_assembly = s.id_assembly group by s.name</STMT><VALUE-COLUMN>instances</VALUE-COLUMN><DESCRIPTION-COLUMN>name</DESCRIPTION-COLUMN><VISIBLE-COLUMNS>name,instances</VISIBLE-COLUMNS><INVISIBLE-COLUMNS></INVISIBLE-COLUMNS></QUERY>',1,NULL,'Number Instances Order Process');
INSERT INTO SBI_LOV VALUES  (2,'Number Instances Store Process','N_INST_PROC_STORE','QUERY',NULL,'<QUERY><CONNECTION>smxdb</CONNECTION><STMT>select s.name, count(i.id_assembly) as instances from service_assembly s, instance_sa i  where s.name=''store'' and i.id_assembly = s.id_assembly group by s.name</STMT><VALUE-COLUMN>name</VALUE-COLUMN><DESCRIPTION-COLUMN>name</DESCRIPTION-COLUMN><VISIBLE-COLUMNS>name,instances</VISIBLE-COLUMNS><INVISIBLE-COLUMNS></INVISIBLE-COLUMNS></QUERY>',1,NULL,'Number Instances Store Process');
INSERT INTO SBI_LOV VALUES  (3,'Output Format Html Pdf','OUT_HTML_PDF','FIX_LOV',NULL,'<FIXLISTLOV><ROWS><ROW VALUE=\"HTML\" DESCRIPTION=\"HTML\"/></ROWS></FIXLISTLOV>',3,NULL,'Output Format Html Pdf');
INSERT INTO SBI_LOV VALUES  (4,'Process List','PROCESS_LIST','QUERY',NULL,'<QUERY><CONNECTION>smxdb</CONNECTION><STMT>select s.name, s.id_assembly as id from service_assembly s</STMT><VALUE-COLUMN>id</VALUE-COLUMN><DESCRIPTION-COLUMN>name</DESCRIPTION-COLUMN><VISIBLE-COLUMNS>name</VISIBLE-COLUMNS><INVISIBLE-COLUMNS>id</INVISIBLE-COLUMNS></QUERY>',1,NULL,'Process List');


--
-- Dumping data for table `spagobi`.`SBI_EXT_ROLES`
--
INSERT INTO SBI_EXT_ROLES VALUES  (1,'Administrator','Administrator',NULL,'PORTAL',17);
INSERT INTO SBI_EXT_ROLES VALUES  (2,'/spagobi/admin','/spagobi/admin',NULL,'PORTAL',17);
INSERT INTO SBI_EXT_ROLES VALUES  (3,'/spagobi/dev','',NULL,'PORTAL',17);
INSERT INTO SBI_EXT_ROLES VALUES  (4,'/spagobi/share','',NULL,'PORTAL',17);
INSERT INTO SBI_EXT_ROLES VALUES  (5,'/spagobi/test','',NULL,'PORTAL',17);
INSERT INTO SBI_EXT_ROLES VALUES  (6,'/spagobi/user','',NULL,'PORTAL',17);
INSERT INTO SBI_EXT_ROLES VALUES  (7,'/spagobi/user/general_manager','',NULL,'PORTAL',17);
INSERT INTO SBI_EXT_ROLES VALUES  (8,'/spagobi/user/product_manager','',NULL,'PORTAL',17);
INSERT INTO SBI_EXT_ROLES VALUES  (9,'User','Spagic User',NULL,'PORTAL',17);


--
-- Dumping data for table `spagobi`.`SBI_OBJECTS`
--
INSERT INTO SBI_OBJECTS VALUES  (1,2,'Process List','PROC_LIST',0,'/BIObjects/f016e42e-db9a-11db-a59c-9197180aba0b','',21,'REL','REPORT',5,NULL,NULL,NULL,NULL,NULL,'Process List',1,'f016e42e-db9a-11db-a59c-9197180aba0b');
INSERT INTO SBI_OBJECTS VALUES  (2,2,'Process Instance List','PROC_INST_LIST',0,'/BIObjects/2ba37d60-db9b-11db-a59c-9197180aba0b','',21,'REL','REPORT',5,NULL,NULL,NULL,NULL,NULL,'Process Instance List',1,'2ba37d60-db9b-11db-a59c-9197180aba0b');
INSERT INTO SBI_OBJECTS VALUES  (3,3,'Definizione Processi','PROCESS',0,'/BIObjects/a4492535-dba7-11db-9fd3-97c9c506cea5','',21,'REL','WEBAPP',7,NULL,NULL,NULL,NULL,NULL,'Definizione Processi',1,'a4492535-dba7-11db-9fd3-97c9c506cea5');
INSERT INTO SBI_OBJECTS VALUES  (4,2,'Process Instance Count','PROC_LIST_COUNT',0,'/BIObjects/34daa989-dc3e-11db-9f8d-1f0ea76b26e1','',21,'REL','REPORT',5,NULL,NULL,NULL,NULL,NULL,'Process Instance Count',1,'34daa989-dc3e-11db-9f8d-1f0ea76b26e1');
INSERT INTO SBI_OBJECTS VALUES  (5,1,'Order Process Instance KPI','ORDER_PROC_INST_KPI',0,'/BIObjects/d4916a43-dc47-11db-bf13-296ed498ddb3','',21,'REL','DASH',6,NULL,NULL,NULL,NULL,NULL,'Order Process Instance KPI',1,'d4916a43-dc47-11db-bf13-296ed498ddb3');
INSERT INTO SBI_OBJECTS VALUES  (6,1,'Store Process Instance KPI','STORE_PROC_INST_KPI',0,'/BIObjects/d4f518a4-dc48-11db-bf13-296ed498ddb3','',21,'REL','DASH',6,NULL,NULL,NULL,NULL,NULL,'Store Process Instance KPI',1,'d4f518a4-dc48-11db-bf13-296ed498ddb3');
INSERT INTO SBI_OBJECTS VALUES  (7,3,'Istanze Processi','PROCESS_INSTANCE',0,'/BIObjects/833fd388-dd03-11db-9266-d9af0b20d6d2','',21,'REL','WEBAPP',7,NULL,NULL,NULL,NULL,NULL,'Istanze Processi',1,'833fd388-dd03-11db-9266-d9af0b20d6d2');
INSERT INTO SBI_OBJECTS VALUES  (8,2,'Instances for process','INST_X_PROC',0,'/BIObjects/924f51d7-dd2d-11db-ac1b-91261185aa17','',21,'REL','REPORT',5,NULL,NULL,NULL,NULL,NULL,'Instances for process',1,'924f51d7-dd2d-11db-ac1b-91261185aa17');
INSERT INTO SBI_OBJECTS VALUES  (11,3,'Sommario','SUMMARY_JMX',0,'/BIObjects/1d22b828-e451-11db-bf06-2510d312a6d2','',21,'REL','WEBAPP',7,NULL,NULL,NULL,NULL,NULL,'Sommario',1,'1d22b828-e451-11db-bf06-2510d312a6d2');
INSERT INTO SBI_OBJECTS VALUES  (12,3,'Code','QUEUE_JMX',0,'/BIObjects/33de92f9-e451-11db-bf06-2510d312a6d2','',21,'REL','WEBAPP',7,NULL,NULL,NULL,NULL,NULL,'Code',1,'33de92f9-e451-11db-bf06-2510d312a6d2');
INSERT INTO SBI_OBJECTS VALUES  (13,3, 'Messaggi Componente', 'MESSAGES', 0, '/BIObjects/b57d763b-1fcc-11dc-8b33-0f74b94e4230', '', 19, 'DEV', 'WEBAPP', 7, NULL, NULL, NULL, NULL, NULL, 'Messaggi', 1, 'b57d763b-1fcc-11dc-8b33-0f74b94e4230');


--
-- Dumping data for table `spagobi`.`SBI_PARAMETERS`
--
INSERT INTO SBI_PARAMETERS VALUES  (1,'Output Format',0,'OUT_FORMAT','STRING','',13,'Output Format',0);
INSERT INTO SBI_PARAMETERS VALUES  (2,'Process List',0,'PROCESS_LIST','STRING','',13,'Process List',1);


--
-- Dumping data for table `spagobi`.`SBI_OBJ_PAR`
--
INSERT INTO SBI_OBJ_PAR VALUES  (1,1,1,'Output format',0,0,0,0,1,'param_output_format',1);
INSERT INTO SBI_OBJ_PAR VALUES  (2,2,8,'Process',0,0,0,0,1,'idProcess',1);
INSERT INTO SBI_OBJ_PAR VALUES  (3,1,8,'Output',0,0,0,0,1,'param_output_format',2);



--
-- Dumping data for table `spagobi`.`SBI_CHECKS`
--
INSERT INTO SBI_CHECKS VALUES  (1,'Control if parameter is an Internet Address','CK-FIX-01','INTERNET ADDRESS',28,NULL,NULL,'Internet Address');
INSERT INTO SBI_CHECKS VALUES  (2,'Control if  a parameter is Numeric','CK-FIX-02','NUMERIC',29,NULL,NULL,'Numeric');
INSERT INTO SBI_CHECKS VALUES  (3,'Control if  a parameter is Alfanumeric','CK-FIX-03','ALFANUMERIC',30,NULL,NULL,'Alfanumeric');
INSERT INTO SBI_CHECKS VALUES  (4,'Control if a parameter is a letter string','CK-FIX-04','LETTERSTRING',31,NULL,NULL,'Letter String');
INSERT INTO SBI_CHECKS VALUES  (5,'Control if the parameter is present','CK-FIX-05','MANDATORY',32,NULL,NULL,'Mandatory');
INSERT INTO SBI_CHECKS VALUES  (6,'Control if parameter is a Fiscal Code','CK-FIX-06','FISCALCODE',33,NULL,NULL,'Fiscal Code');
INSERT INTO SBI_CHECKS VALUES  (7,'Control if parameter is a E-Mail','CK-FIX-07','EMAIL',34,NULL,NULL,'E-Mail');



--
-- Dumping data for table `spagobi`.`SBI_FUNCTIONS`
--
INSERT INTO SBI_FUNCTIONS VALUES  (1,'LOW_FUNCT',NULL,'Functionalities','Functionalities','/Functionalities','Functionalities',18);
INSERT INTO SBI_FUNCTIONS VALUES  (9,'LOW_FUNCT',1,'System Monitoring','System Monitoring','/Functionalities/SystemMonitoring','SystemMonitoring',18);
INSERT INTO SBI_FUNCTIONS VALUES  (10,'LOW_FUNCT',1,'Service Monitoring','Service Monitoring','/Functionalities/ServiceMonitoring','ServiceMonitoring',18);
INSERT INTO SBI_FUNCTIONS VALUES  (11,'LOW_FUNCT',1,'BAM','BAM','/Functionalities/BA','BAM',18);
INSERT INTO SBI_FUNCTIONS VALUES  (12,'LOW_FUNCT',11,'Reports','Reports','/Functionalities/BA/Reports','Reports',18);
INSERT INTO SBI_FUNCTIONS VALUES  (13,'LOW_FUNCT',11,'Dashboards','Dashboards','/Functionalities/BA/Dashboard','Dashboards',18);


--
-- Dumping data for table `spagobi`.`SBI_OBJ_FUNC`
--
INSERT INTO SBI_OBJ_FUNC VALUES  (1,12,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (2,12,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (3,10,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (4,12,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (5,13,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (6,13,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (7,10,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (8,12,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (11,9,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (12,9,NULL);
INSERT INTO SBI_OBJ_FUNC VALUES  (13,10,NULL);



--
-- Dumping data for table `spagobi`.`SBI_FUNC_ROLE`
--
INSERT INTO SBI_FUNC_ROLE VALUES  (1,9,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,9,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,9,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,9,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,9,'REL',21);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,9,'REL',21);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,10,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,10,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,10,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,10,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,10,'REL',21);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,10,'REL',21);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,11,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,11,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,11,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,11,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,11,'REL',21);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,11,'REL',21);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,12,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,12,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,12,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,12,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,12,'REL',21);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,12,'REL',21);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,13,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,13,'DEV',19);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,13,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,13,'TEST',20);
INSERT INTO SBI_FUNC_ROLE VALUES  (1,13,'REL',21);
INSERT INTO SBI_FUNC_ROLE VALUES  (9,13,'REL',21);


--
-- Dumping data for table `spagobi`.`SBI_PARUSE`
--
INSERT INTO SBI_PARUSE VALUES  (1,3,'HTMLPDF','Output Html e Pdf',1,'Output Html e Pdf',0,'LIST',0);
INSERT INTO SBI_PARUSE VALUES  (2,4,'AllProcess','AllProcess',2,'AllProcess',0,'LIST',0);



--
-- Dumping data for table `spagobi`.`SBI_PARUSE_DET`
--
INSERT INTO SBI_PARUSE_DET VALUES  (1,NULL,1,NULL,NULL);
INSERT INTO SBI_PARUSE_DET VALUES  (9,NULL,1,NULL,NULL);
INSERT INTO SBI_PARUSE_DET VALUES  (1,NULL,2,NULL,NULL);
INSERT INTO SBI_PARUSE_DET VALUES  (9,NULL,2,NULL,NULL);


--
-- Dumping data for table `spagobi`.`SBI_EVENTS`
--

--
-- Dumping data for table `spagobi`.`SBI_EVENTS_LOG`
--

--
-- Dumping data for table `spagobi`.`SBI_EVENTS_ROLES`
--


--
-- Dumping data for table `spagobi`.`SBI_OBJ_PARUSE`
--

--
-- Dumping data for table `spagobi`.`SBI_OBJ_STATE`
--


--
-- Dumping data for table `spagobi`.`SBI_PARUSE_CK`
--


--
-- Dumping data for table `spagobi`.`SBI_SUBREPORTS`
--

