-- ----------------------------------------------------------------------
-- MySQL Migration Toolkit
-- SQL Create Script
-- ----------------------------------------------------------------------

SET FOREIGN_KEY_CHECKS = 0;

CREATE DATABASE IF NOT EXISTS `spagobi`
  CHARACTER SET latin1 COLLATE latin1_swedish_ci;
USE `spagobi`;
-- -------------------------------------
-- Tables

DROP TABLE IF EXISTS `spagobi`.`CMS_REP_FS_FSENTRY`;
CREATE TABLE `spagobi`.`CMS_REP_FS_FSENTRY` (
  `FSENTRY_PATH` TEXT NOT NULL,
  `FSENTRY_NAME` VARCHAR(255) NOT NULL DEFAULT '',
  `FSENTRY_DATA` LONGBLOB NULL,
  `FSENTRY_LASTMOD` BIGINT(20) NOT NULL,
  `FSENTRY_LENGTH` BIGINT(20) NOT NULL,
  UNIQUE INDEX `CMS_REP_FS_FSENTRY_IDX` (`FSENTRY_PATH`(245), `FSENTRY_NAME`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_VER_FS_FSENTRY`;
CREATE TABLE `spagobi`.`CMS_VER_FS_FSENTRY` (
  `FSENTRY_PATH` TEXT NOT NULL,
  `FSENTRY_NAME` VARCHAR(255) NOT NULL DEFAULT '',
  `FSENTRY_DATA` LONGBLOB NULL,
  `FSENTRY_LASTMOD` BIGINT(20) NOT NULL,
  `FSENTRY_LENGTH` BIGINT(20) NOT NULL,
  UNIQUE INDEX `CMS_VER_FS_FSENTRY_IDX` (`FSENTRY_PATH`(245), `FSENTRY_NAME`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_VER_PM_BINVAL`;
CREATE TABLE `spagobi`.`CMS_VER_PM_BINVAL` (
  `BINVAL_ID` VARCHAR(255) NOT NULL DEFAULT '',
  `BINVAL_DATA` LONGBLOB NOT NULL,
  UNIQUE INDEX `CMS_VER_PM_BINVAL_IDX` (`BINVAL_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_VER_PM_NODE`;
CREATE TABLE `spagobi`.`CMS_VER_PM_NODE` (
  `NODE_ID` CHAR(36) NOT NULL DEFAULT '',
  `NODE_DATA` BLOB NOT NULL,
  UNIQUE INDEX `CMS_VER_PM_NODE_IDX` (`NODE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_VER_PM_PROP`;
CREATE TABLE `spagobi`.`CMS_VER_PM_PROP` (
  `PROP_ID` VARCHAR(255) NOT NULL DEFAULT '',
  `PROP_DATA` BLOB NOT NULL,
  UNIQUE INDEX `CMS_VER_PM_PROP_IDX` (`PROP_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_VER_PM_REFS`;
CREATE TABLE `spagobi`.`CMS_VER_PM_REFS` (
  `NODE_ID` CHAR(36) NOT NULL DEFAULT '',
  `REFS_DATA` BLOB NOT NULL,
  UNIQUE INDEX `CMS_VER_PM_REFS_IDX` (`NODE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_WOR_FS_DEFAULT_FSENTRY`;
CREATE TABLE `spagobi`.`CMS_WOR_FS_DEFAULT_FSENTRY` (
  `FSENTRY_PATH` TEXT NOT NULL,
  `FSENTRY_NAME` VARCHAR(255) NOT NULL DEFAULT '',
  `FSENTRY_DATA` LONGBLOB NULL,
  `FSENTRY_LASTMOD` BIGINT(20) NOT NULL,
  `FSENTRY_LENGTH` BIGINT(20) NOT NULL,
  UNIQUE INDEX `CMS_WOR_FS_DEFAULT_FSENTRY_IDX` (`FSENTRY_PATH`(245), `FSENTRY_NAME`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_WOR_PM_DEFAULT_BINVAL`;
CREATE TABLE `spagobi`.`CMS_WOR_PM_DEFAULT_BINVAL` (
  `BINVAL_ID` VARCHAR(255) NOT NULL DEFAULT '',
  `BINVAL_DATA` LONGBLOB NOT NULL,
  UNIQUE INDEX `CMS_WOR_PM_DEFAULT_BINVAL_IDX` (`BINVAL_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_WOR_PM_DEFAULT_NODE`;
CREATE TABLE `spagobi`.`CMS_WOR_PM_DEFAULT_NODE` (
  `NODE_ID` CHAR(36) NOT NULL DEFAULT '',
  `NODE_DATA` BLOB NOT NULL,
  UNIQUE INDEX `CMS_WOR_PM_DEFAULT_NODE_IDX` (`NODE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_WOR_PM_DEFAULT_PROP`;
CREATE TABLE `spagobi`.`CMS_WOR_PM_DEFAULT_PROP` (
  `PROP_ID` VARCHAR(255) NOT NULL DEFAULT '',
  `PROP_DATA` BLOB NOT NULL,
  UNIQUE INDEX `CMS_WOR_PM_DEFAULT_PROP_IDX` (`PROP_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`CMS_WOR_PM_DEFAULT_REFS`;
CREATE TABLE `spagobi`.`CMS_WOR_PM_DEFAULT_REFS` (
  `NODE_ID` CHAR(36) NOT NULL DEFAULT '',
  `REFS_DATA` BLOB NOT NULL,
  UNIQUE INDEX `CMS_WOR_PM_DEFAULT_REFS_IDX` (`NODE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_ACTION`;
CREATE TABLE `spagobi`.`JBPM_ACTION` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `class` CHAR(1) NOT NULL,
  `NAME_` VARCHAR(255) NULL,
  `ISPROPAGATIONALLOWED_` BIT NULL,
  `ACTIONEXPRESSION_` VARCHAR(255) NULL,
  `ISASYNC_` BIT NULL,
  `REFERENCEDACTION_` BIGINT(20) NULL,
  `ACTIONDELEGATION_` BIGINT(20) NULL,
  `EVENT_` BIGINT(20) NULL,
  `PROCESSDEFINITION_` BIGINT(20) NULL,
  `TIMERNAME_` VARCHAR(255) NULL,
  `DUEDATE_` VARCHAR(255) NULL,
  `REPEAT_` VARCHAR(255) NULL,
  `TRANSITIONNAME_` VARCHAR(255) NULL,
  `TIMERACTION_` BIGINT(20) NULL,
  `EXPRESSION_` TEXT NULL,
  `EVENTINDEX_` INT(11) NULL,
  `EXCEPTIONHANDLER_` BIGINT(20) NULL,
  `EXCEPTIONHANDLERINDEX_` INT(11) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_ACTION_EVENT` (`EVENT_`),
  INDEX `FK_ACTION_EXPTHDL` (`EXCEPTIONHANDLER_`),
  INDEX `FK_ACTION_PROCDEF` (`PROCESSDEFINITION_`),
  INDEX `FK_CRTETIMERACT_TA` (`TIMERACTION_`),
  INDEX `FK_ACTION_ACTNDEL` (`ACTIONDELEGATION_`),
  INDEX `FK_ACTION_REFACT` (`REFERENCEDACTION_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_BYTEARRAY`;
CREATE TABLE `spagobi`.`JBPM_BYTEARRAY` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `NAME_` VARCHAR(255) NULL,
  `FILEDEFINITION_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_BYTEARR_FILDEF` (`FILEDEFINITION_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_BYTEBLOCK`;
CREATE TABLE `spagobi`.`JBPM_BYTEBLOCK` (
  `PROCESSFILE_` BIGINT(20) NOT NULL,
  `BYTES_` BLOB NULL,
  `INDEX_` INT(11) NOT NULL,
  PRIMARY KEY (`PROCESSFILE_`, `INDEX_`),
  INDEX `FK_BYTEBLOCK_FILE` (`PROCESSFILE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_COMMENT`;
CREATE TABLE `spagobi`.`JBPM_COMMENT` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `VERSION_` INT(11) NOT NULL,
  `ACTORID_` VARCHAR(255) NULL,
  `TIME_` DATETIME NULL,
  `MESSAGE_` TEXT NULL,
  `TOKEN_` BIGINT(20) NULL,
  `TASKINSTANCE_` BIGINT(20) NULL,
  `TOKENINDEX_` INT(11) NULL,
  `TASKINSTANCEINDEX_` INT(11) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_COMMENT_TOKEN` (`TOKEN_`),
  INDEX `FK_COMMENT_TSK` (`TASKINSTANCE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_DECISIONCONDITIONS`;
CREATE TABLE `spagobi`.`JBPM_DECISIONCONDITIONS` (
  `DECISION_` BIGINT(20) NOT NULL,
  `TRANSITIONNAME_` VARCHAR(255) NULL,
  `EXPRESSION_` VARCHAR(255) NULL,
  `INDEX_` INT(11) NOT NULL,
  PRIMARY KEY (`DECISION_`, `INDEX_`),
  INDEX `FK_DECCOND_DEC` (`DECISION_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_DELEGATION`;
CREATE TABLE `spagobi`.`JBPM_DELEGATION` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASSNAME_` TEXT NULL,
  `CONFIGURATION_` TEXT NULL,
  `CONFIGTYPE_` VARCHAR(255) NULL,
  `PROCESSDEFINITION_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_DELEGATION_PRCD` (`PROCESSDEFINITION_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_EVENT`;
CREATE TABLE `spagobi`.`JBPM_EVENT` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `EVENTTYPE_` VARCHAR(255) NULL,
  `TYPE_` CHAR(1) NULL,
  `GRAPHELEMENT_` BIGINT(20) NULL,
  `PROCESSDEFINITION_` BIGINT(20) NULL,
  `NODE_` BIGINT(20) NULL,
  `TRANSITION_` BIGINT(20) NULL,
  `TASK_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_EVENT_PROCDEF` (`PROCESSDEFINITION_`),
  INDEX `FK_EVENT_NODE` (`NODE_`),
  INDEX `FK_EVENT_TRANS` (`TRANSITION_`),
  INDEX `FK_EVENT_TASK` (`TASK_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_EXCEPTIONHANDLER`;
CREATE TABLE `spagobi`.`JBPM_EXCEPTIONHANDLER` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `EXCEPTIONCLASSNAME_` TEXT NULL,
  `TYPE_` CHAR(1) NULL,
  `GRAPHELEMENT_` BIGINT(20) NULL,
  `PROCESSDEFINITION_` BIGINT(20) NULL,
  `GRAPHELEMENTINDEX_` INT(11) NULL,
  `NODE_` BIGINT(20) NULL,
  `TRANSITION_` BIGINT(20) NULL,
  `TASK_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_ID_GROUP`;
CREATE TABLE `spagobi`.`JBPM_ID_GROUP` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `NAME_` VARCHAR(255) NULL,
  `TYPE_` VARCHAR(255) NULL,
  `PARENT_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_ID_GRP_PARENT` (`PARENT_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_ID_MEMBERSHIP`;
CREATE TABLE `spagobi`.`JBPM_ID_MEMBERSHIP` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `NAME_` VARCHAR(255) NULL,
  `ROLE_` VARCHAR(255) NULL,
  `USER_` BIGINT(20) NULL,
  `GROUP_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_ID_MEMSHIP_GRP` (`GROUP_`),
  INDEX `FK_ID_MEMSHIP_USR` (`USER_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_ID_PERMISSIONS`;
CREATE TABLE `spagobi`.`JBPM_ID_PERMISSIONS` (
  `ENTITY_` BIGINT(20) NOT NULL,
  `CLASS_` VARCHAR(255) NULL,
  `NAME_` VARCHAR(255) NULL,
  `ACTION_` VARCHAR(255) NULL
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_ID_USER`;
CREATE TABLE `spagobi`.`JBPM_ID_USER` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `NAME_` VARCHAR(255) NULL,
  `EMAIL_` VARCHAR(255) NULL,
  `PASSWORD_` VARCHAR(255) NULL,
  PRIMARY KEY (`ID_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_LOG`;
CREATE TABLE `spagobi`.`JBPM_LOG` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `INDEX_` INT(11) NULL,
  `DATE_` DATETIME NULL,
  `TOKEN_` BIGINT(20) NULL,
  `PARENT_` BIGINT(20) NULL,
  `MESSAGE_` TEXT NULL,
  `EXCEPTION_` TEXT NULL,
  `ACTION_` BIGINT(20) NULL,
  `NODE_` BIGINT(20) NULL,
  `ENTER_` DATETIME NULL,
  `LEAVE_` DATETIME NULL,
  `DURATION_` BIGINT(20) NULL,
  `NEWLONGVALUE_` BIGINT(20) NULL,
  `TRANSITION_` BIGINT(20) NULL,
  `CHILD_` BIGINT(20) NULL,
  `SOURCENODE_` BIGINT(20) NULL,
  `DESTINATIONNODE_` BIGINT(20) NULL,
  `VARIABLEINSTANCE_` BIGINT(20) NULL,
  `OLDBYTEARRAY_` BIGINT(20) NULL,
  `NEWBYTEARRAY_` BIGINT(20) NULL,
  `OLDDATEVALUE_` DATETIME NULL,
  `NEWDATEVALUE_` DATETIME NULL,
  `OLDDOUBLEVALUE_` DOUBLE NULL,
  `NEWDOUBLEVALUE_` DOUBLE NULL,
  `OLDLONGIDCLASS_` VARCHAR(255) NULL,
  `OLDLONGIDVALUE_` BIGINT(20) NULL,
  `NEWLONGIDCLASS_` VARCHAR(255) NULL,
  `NEWLONGIDVALUE_` BIGINT(20) NULL,
  `OLDSTRINGIDCLASS_` VARCHAR(255) NULL,
  `OLDSTRINGIDVALUE_` VARCHAR(255) NULL,
  `NEWSTRINGIDCLASS_` VARCHAR(255) NULL,
  `NEWSTRINGIDVALUE_` VARCHAR(255) NULL,
  `OLDLONGVALUE_` BIGINT(20) NULL,
  `OLDSTRINGVALUE_` TEXT NULL,
  `NEWSTRINGVALUE_` TEXT NULL,
  `TASKINSTANCE_` BIGINT(20) NULL,
  `TASKACTORID_` VARCHAR(255) NULL,
  `TASKOLDACTORID_` VARCHAR(255) NULL,
  `SWIMLANEINSTANCE_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_LOG_SOURCENODE` (`SOURCENODE_`),
  INDEX `FK_LOG_TOKEN` (`TOKEN_`),
  INDEX `FK_LOG_OLDBYTES` (`OLDBYTEARRAY_`),
  INDEX `FK_LOG_NEWBYTES` (`NEWBYTEARRAY_`),
  INDEX `FK_LOG_CHILDTOKEN` (`CHILD_`),
  INDEX `FK_LOG_DESTNODE` (`DESTINATIONNODE_`),
  INDEX `FK_LOG_TASKINST` (`TASKINSTANCE_`),
  INDEX `FK_LOG_SWIMINST` (`SWIMLANEINSTANCE_`),
  INDEX `FK_LOG_PARENT` (`PARENT_`),
  INDEX `FK_LOG_NODE` (`NODE_`),
  INDEX `FK_LOG_ACTION` (`ACTION_`),
  INDEX `FK_LOG_VARINST` (`VARIABLEINSTANCE_`),
  INDEX `FK_LOG_TRANSITION` (`TRANSITION_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_MESSAGE`;
CREATE TABLE `spagobi`.`JBPM_MESSAGE` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `DESTINATION_` VARCHAR(255) NULL,
  `EXCEPTION_` TEXT NULL,
  `ISSUSPENDED_` BIT NULL,
  `TOKEN_` BIGINT(20) NULL,
  `TEXT_` VARCHAR(255) NULL,
  `ACTION_` BIGINT(20) NULL,
  `NODE_` BIGINT(20) NULL,
  `TRANSITIONNAME_` VARCHAR(255) NULL,
  `TASKINSTANCE_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_MSG_TOKEN` (`TOKEN_`),
  INDEX `FK_CMD_NODE` (`NODE_`),
  INDEX `FK_CMD_ACTION` (`ACTION_`),
  INDEX `FK_CMD_TASKINST` (`TASKINSTANCE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_MODULEDEFINITION`;
CREATE TABLE `spagobi`.`JBPM_MODULEDEFINITION` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `NAME_` TEXT NULL,
  `PROCESSDEFINITION_` BIGINT(20) NULL,
  `STARTTASK_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_TSKDEF_START` (`STARTTASK_`),
  INDEX `FK_MODDEF_PROCDEF` (`PROCESSDEFINITION_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_MODULEINSTANCE`;
CREATE TABLE `spagobi`.`JBPM_MODULEINSTANCE` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `PROCESSINSTANCE_` BIGINT(20) NULL,
  `TASKMGMTDEFINITION_` BIGINT(20) NULL,
  `NAME_` VARCHAR(255) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_TASKMGTINST_TMD` (`TASKMGMTDEFINITION_`),
  INDEX `FK_MODINST_PRCINST` (`PROCESSINSTANCE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_NODE`;
CREATE TABLE `spagobi`.`JBPM_NODE` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `NAME_` VARCHAR(255) NULL,
  `PROCESSDEFINITION_` BIGINT(20) NULL,
  `ISASYNC_` BIT NULL,
  `ACTION_` BIGINT(20) NULL,
  `SUPERSTATE_` BIGINT(20) NULL,
  `SUBPROCESSDEFINITION_` BIGINT(20) NULL,
  `DECISIONEXPRESSION_` VARCHAR(255) NULL,
  `DECISIONDELEGATION` BIGINT(20) NULL,
  `SIGNAL_` INT(11) NULL,
  `CREATETASKS_` BIT NULL,
  `ENDTASKS_` BIT NULL,
  `NODECOLLECTIONINDEX_` INT(11) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_PROCST_SBPRCDEF` (`SUBPROCESSDEFINITION_`),
  INDEX `FK_NODE_PROCDEF` (`PROCESSDEFINITION_`),
  INDEX `FK_NODE_ACTION` (`ACTION_`),
  INDEX `FK_DECISION_DELEG` (`DECISIONDELEGATION`),
  INDEX `FK_NODE_SUPERSTATE` (`SUPERSTATE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_POOLEDACTOR`;
CREATE TABLE `spagobi`.`JBPM_POOLEDACTOR` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `ACTORID_` VARCHAR(255) NULL,
  `SWIMLANEINSTANCE_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `IDX_PLDACTR_ACTID` (`ACTORID_`),
  INDEX `FK_POOLEDACTOR_SLI` (`SWIMLANEINSTANCE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_PROCESSDEFINITION`;
CREATE TABLE `spagobi`.`JBPM_PROCESSDEFINITION` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `NAME_` VARCHAR(255) NULL,
  `VERSION_` INT(11) NULL,
  `ISTERMINATIONIMPLICIT_` BIT NULL,
  `STARTSTATE_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_PROCDEF_STRTSTA` (`STARTSTATE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_PROCESSINSTANCE`;
CREATE TABLE `spagobi`.`JBPM_PROCESSINSTANCE` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `VERSION_` INT(11) NOT NULL,
  `START_` DATETIME NULL,
  `END_` DATETIME NULL,
  `ISSUSPENDED_` BIT NULL,
  `PROCESSDEFINITION_` BIGINT(20) NULL,
  `ROOTTOKEN_` BIGINT(20) NULL,
  `SUPERPROCESSTOKEN_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_PROCIN_PROCDEF` (`PROCESSDEFINITION_`),
  INDEX `FK_PROCIN_ROOTTKN` (`ROOTTOKEN_`),
  INDEX `FK_PROCIN_SPROCTKN` (`SUPERPROCESSTOKEN_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_RUNTIMEACTION`;
CREATE TABLE `spagobi`.`JBPM_RUNTIMEACTION` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `VERSION_` INT(11) NOT NULL,
  `EVENTTYPE_` VARCHAR(255) NULL,
  `TYPE_` CHAR(1) NULL,
  `GRAPHELEMENT_` BIGINT(20) NULL,
  `PROCESSINSTANCE_` BIGINT(20) NULL,
  `ACTION_` BIGINT(20) NULL,
  `PROCESSINSTANCEINDEX_` INT(11) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_RTACTN_PROCINST` (`PROCESSINSTANCE_`),
  INDEX `FK_RTACTN_ACTION` (`ACTION_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_SWIMLANE`;
CREATE TABLE `spagobi`.`JBPM_SWIMLANE` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `NAME_` VARCHAR(255) NULL,
  `ACTORIDEXPRESSION_` VARCHAR(255) NULL,
  `POOLEDACTORSEXPRESSION_` VARCHAR(255) NULL,
  `ASSIGNMENTDELEGATION_` BIGINT(20) NULL,
  `TASKMGMTDEFINITION_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_SWL_ASSDEL` (`ASSIGNMENTDELEGATION_`),
  INDEX `FK_SWL_TSKMGMTDEF` (`TASKMGMTDEFINITION_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_SWIMLANEINSTANCE`;
CREATE TABLE `spagobi`.`JBPM_SWIMLANEINSTANCE` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `NAME_` VARCHAR(255) NULL,
  `ACTORID_` VARCHAR(255) NULL,
  `SWIMLANE_` BIGINT(20) NULL,
  `TASKMGMTINSTANCE_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_SWIMLANEINST_TM` (`TASKMGMTINSTANCE_`),
  INDEX `FK_SWIMLANEINST_SL` (`SWIMLANE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_TASK`;
CREATE TABLE `spagobi`.`JBPM_TASK` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `NAME_` VARCHAR(255) NULL,
  `PROCESSDEFINITION_` BIGINT(20) NULL,
  `DESCRIPTION_` TEXT NULL,
  `ISBLOCKING_` BIT NULL,
  `ISSIGNALLING_` BIT NULL,
  `DUEDATE_` VARCHAR(255) NULL,
  `ACTORIDEXPRESSION_` VARCHAR(255) NULL,
  `POOLEDACTORSEXPRESSION_` VARCHAR(255) NULL,
  `TASKMGMTDEFINITION_` BIGINT(20) NULL,
  `TASKNODE_` BIGINT(20) NULL,
  `STARTSTATE_` BIGINT(20) NULL,
  `ASSIGNMENTDELEGATION_` BIGINT(20) NULL,
  `SWIMLANE_` BIGINT(20) NULL,
  `TASKCONTROLLER_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_TSK_TSKCTRL` (`TASKCONTROLLER_`),
  INDEX `FK_TASK_ASSDEL` (`ASSIGNMENTDELEGATION_`),
  INDEX `FK_TASK_TASKNODE` (`TASKNODE_`),
  INDEX `FK_TASK_PROCDEF` (`PROCESSDEFINITION_`),
  INDEX `FK_TASK_STARTST` (`STARTSTATE_`),
  INDEX `FK_TASK_TASKMGTDEF` (`TASKMGMTDEFINITION_`),
  INDEX `FK_TASK_SWIMLANE` (`SWIMLANE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_TASKACTORPOOL`;
CREATE TABLE `spagobi`.`JBPM_TASKACTORPOOL` (
  `TASKINSTANCE_` BIGINT(20) NOT NULL,
  `POOLEDACTOR_` BIGINT(20) NOT NULL,
  PRIMARY KEY (`TASKINSTANCE_`, `POOLEDACTOR_`),
  INDEX `FK_TSKACTPOL_PLACT` (`POOLEDACTOR_`),
  INDEX `FK_TASKACTPL_TSKI` (`TASKINSTANCE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_TASKCONTROLLER`;
CREATE TABLE `spagobi`.`JBPM_TASKCONTROLLER` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `TASKCONTROLLERDELEGATION_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_TSKCTRL_DELEG` (`TASKCONTROLLERDELEGATION_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_TASKINSTANCE`;
CREATE TABLE `spagobi`.`JBPM_TASKINSTANCE` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `NAME_` VARCHAR(255) NULL,
  `DESCRIPTION_` TEXT NULL,
  `ACTORID_` VARCHAR(255) NULL,
  `CREATE_` DATETIME NULL,
  `START_` DATETIME NULL,
  `END_` DATETIME NULL,
  `DUEDATE_` DATETIME NULL,
  `PRIORITY_` INT(11) NULL,
  `ISCANCELLED_` BIT NULL,
  `ISSUSPENDED_` BIT NULL,
  `ISOPEN_` BIT NULL,
  `ISSIGNALLING_` BIT NULL,
  `ISBLOCKING_` BIT NULL,
  `TASK_` BIGINT(20) NULL,
  `TOKEN_` BIGINT(20) NULL,
  `SWIMLANINSTANCE_` BIGINT(20) NULL,
  `TASKMGMTINSTANCE_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `IDX_TASK_ACTORID` (`ACTORID_`),
  INDEX `FK_TASKINST_TMINST` (`TASKMGMTINSTANCE_`),
  INDEX `FK_TASKINST_TOKEN` (`TOKEN_`),
  INDEX `FK_TASKINST_SLINST` (`SWIMLANINSTANCE_`),
  INDEX `FK_TASKINST_TASK` (`TASK_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_TIMER`;
CREATE TABLE `spagobi`.`JBPM_TIMER` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `NAME_` VARCHAR(255) NULL,
  `DUEDATE_` DATETIME NULL,
  `REPEAT_` VARCHAR(255) NULL,
  `TRANSITIONNAME_` VARCHAR(255) NULL,
  `EXCEPTION_` TEXT NULL,
  `ISSUSPENDED_` BIT NULL,
  `ACTION_` BIGINT(20) NULL,
  `TOKEN_` BIGINT(20) NULL,
  `PROCESSINSTANCE_` BIGINT(20) NULL,
  `TASKINSTANCE_` BIGINT(20) NULL,
  `GRAPHELEMENTTYPE_` VARCHAR(255) NULL,
  `GRAPHELEMENT_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_TIMER_TOKEN` (`TOKEN_`),
  INDEX `FK_TIMER_PRINST` (`PROCESSINSTANCE_`),
  INDEX `FK_TIMER_ACTION` (`ACTION_`),
  INDEX `FK_TIMER_TSKINST` (`TASKINSTANCE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_TOKEN`;
CREATE TABLE `spagobi`.`JBPM_TOKEN` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `VERSION_` INT(11) NOT NULL,
  `NAME_` VARCHAR(255) NULL,
  `START_` DATETIME NULL,
  `END_` DATETIME NULL,
  `NODEENTER_` DATETIME NULL,
  `NEXTLOGINDEX_` INT(11) NULL,
  `ISABLETOREACTIVATEPARENT_` BIT NULL,
  `ISTERMINATIONIMPLICIT_` BIT NULL,
  `ISSUSPENDED_` BIT NULL,
  `NODE_` BIGINT(20) NULL,
  `PROCESSINSTANCE_` BIGINT(20) NULL,
  `PARENT_` BIGINT(20) NULL,
  `SUBPROCESSINSTANCE_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_TOKEN_PARENT` (`PARENT_`),
  INDEX `FK_TOKEN_NODE` (`NODE_`),
  INDEX `FK_TOKEN_PROCINST` (`PROCESSINSTANCE_`),
  INDEX `FK_TOKEN_SUBPI` (`SUBPROCESSINSTANCE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_TOKENVARIABLEMAP`;
CREATE TABLE `spagobi`.`JBPM_TOKENVARIABLEMAP` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `TOKEN_` BIGINT(20) NULL,
  `CONTEXTINSTANCE_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_TKVARMAP_CTXT` (`CONTEXTINSTANCE_`),
  INDEX `FK_TKVARMAP_TOKEN` (`TOKEN_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_TRANSITION`;
CREATE TABLE `spagobi`.`JBPM_TRANSITION` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `NAME_` VARCHAR(255) NULL,
  `PROCESSDEFINITION_` BIGINT(20) NULL,
  `FROM_` BIGINT(20) NULL,
  `TO_` BIGINT(20) NULL,
  `FROMINDEX_` INT(11) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_TRANSITION_TO` (`TO_`),
  INDEX `FK_TRANS_PROCDEF` (`PROCESSDEFINITION_`),
  INDEX `FK_TRANSITION_FROM` (`FROM_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_VARIABLEACCESS`;
CREATE TABLE `spagobi`.`JBPM_VARIABLEACCESS` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `VARIABLENAME_` VARCHAR(255) NULL,
  `ACCESS_` VARCHAR(255) NULL,
  `MAPPEDNAME_` VARCHAR(255) NULL,
  `PROCESSSTATE_` BIGINT(20) NULL,
  `TASKCONTROLLER_` BIGINT(20) NULL,
  `INDEX_` INT(11) NULL,
  `SCRIPT_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_VARACC_TSKCTRL` (`TASKCONTROLLER_`),
  INDEX `FK_VARACC_SCRIPT` (`SCRIPT_`),
  INDEX `FK_VARACC_PROCST` (`PROCESSSTATE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`JBPM_VARIABLEINSTANCE`;
CREATE TABLE `spagobi`.`JBPM_VARIABLEINSTANCE` (
  `ID_` BIGINT(20) NOT NULL AUTO_INCREMENT,
  `CLASS_` CHAR(1) NOT NULL,
  `NAME_` VARCHAR(255) NULL,
  `CONVERTER_` CHAR(1) NULL,
  `TOKEN_` BIGINT(20) NULL,
  `TOKENVARIABLEMAP_` BIGINT(20) NULL,
  `PROCESSINSTANCE_` BIGINT(20) NULL,
  `BYTEARRAYVALUE_` BIGINT(20) NULL,
  `DATEVALUE_` DATETIME NULL,
  `DOUBLEVALUE_` DOUBLE NULL,
  `LONGIDCLASS_` VARCHAR(255) NULL,
  `LONGVALUE_` BIGINT(20) NULL,
  `STRINGIDCLASS_` VARCHAR(255) NULL,
  `STRINGVALUE_` VARCHAR(255) NULL,
  `TASKINSTANCE_` BIGINT(20) NULL,
  PRIMARY KEY (`ID_`),
  INDEX `FK_VARINST_TK` (`TOKEN_`),
  INDEX `FK_VARINST_TKVARMP` (`TOKENVARIABLEMAP_`),
  INDEX `FK_VARINST_PRCINST` (`PROCESSINSTANCE_`),
  INDEX `FK_VAR_TSKINST` (`TASKINSTANCE_`),
  INDEX `FK_BYTEINST_ARRAY` (`BYTEARRAYVALUE_`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_CHECKS`;
CREATE TABLE `spagobi`.`SBI_CHECKS` (
  `CHECK_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `DESCR` VARCHAR(160) NULL,
  `LABEL` VARCHAR(20) NOT NULL,
  `VALUE_TYPE_CD` VARCHAR(20) NOT NULL,
  `VALUE_TYPE_ID` INT(11) NOT NULL,
  `VALUE_1` VARCHAR(400) NULL,
  `VALUE_2` VARCHAR(400) NULL,
  `NAME` VARCHAR(40) NOT NULL,
  PRIMARY KEY (`CHECK_ID`),
  UNIQUE INDEX `XAK1SBI_CHECKS` (`LABEL`),
  INDEX `XIF3SBI_CHECKS` (`VALUE_TYPE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_DOMAINS`;
CREATE TABLE `spagobi`.`SBI_DOMAINS` (
  `VALUE_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `VALUE_CD` VARCHAR(20) NULL,
  `VALUE_NM` VARCHAR(40) NULL,
  `DOMAIN_CD` VARCHAR(20) NULL,
  `DOMAIN_NM` VARCHAR(40) NULL,
  `VALUE_DS` VARCHAR(160) NULL,
  PRIMARY KEY (`VALUE_ID`),
  UNIQUE INDEX `XAK1SBI_DOMAINS` (`VALUE_CD`, `DOMAIN_CD`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_ENGINES`;
CREATE TABLE `spagobi`.`SBI_ENGINES` (
  `ENGINE_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `ENCRYPT` SMALLINT(6) NULL,
  `NAME` VARCHAR(40) NOT NULL,
  `DESCR` VARCHAR(160) NULL,
  `MAIN_URL` VARCHAR(400) NOT NULL,
  `SECN_URL` VARCHAR(400) NULL,
  `OBJ_UPL_DIR` VARCHAR(400) NULL,
  `OBJ_USE_DIR` VARCHAR(400) NULL,
  `DRIVER_NM` VARCHAR(400) NOT NULL,
  `LABEL` VARCHAR(20) NOT NULL,
  `ENGINE_TYPE` INT(11) NOT NULL,
  `CLASS_NM` VARCHAR(400) NULL,
  `BIOBJ_TYPE` INT(11) NOT NULL,
  PRIMARY KEY (`ENGINE_ID`),
  UNIQUE INDEX `XAK1SBI_ENGINES` (`LABEL`),
  INDEX `FK_sbi_engines_1` (`BIOBJ_TYPE`),
  INDEX `FK_sbi_engines_2` (`ENGINE_TYPE`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_EVENTS`;
CREATE TABLE `spagobi`.`SBI_EVENTS` (
  `ID` INT(11) NOT NULL AUTO_INCREMENT,
  `USER_EVENT` VARCHAR(40) NOT NULL,
  PRIMARY KEY (`ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_EVENTS_LOG`;
CREATE TABLE `spagobi`.`SBI_EVENTS_LOG` (
  `ID` INT(11) NOT NULL AUTO_INCREMENT,
  `USER_EVENT` VARCHAR(40) NOT NULL,
  `EVENT_DATE` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
  `DESCR` VARCHAR(1000) NOT NULL,
  `PARAMS` VARCHAR(1000) NOT NULL,
  `HANDLER` VARCHAR(1000) NOT NULL DEFAULT 'it.eng.spagobi.events.handlers.DefaultEventPresentationHandler',
  PRIMARY KEY (`ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_EVENTS_ROLES`;
CREATE TABLE `spagobi`.`SBI_EVENTS_ROLES` (
  `EVENT_ID` INT(11) NOT NULL,
  `ROLE_ID` INT(11) NOT NULL,
  PRIMARY KEY (`EVENT_ID`, `ROLE_ID`),
  INDEX `FK_sbi_events_roles_1` (`ROLE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_EXT_ROLES`;
CREATE TABLE `spagobi`.`SBI_EXT_ROLES` (
  `EXT_ROLE_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `NAME` VARCHAR(40) NULL,
  `DESCR` VARCHAR(160) NULL,
  `CODE` VARCHAR(20) NULL,
  `ROLE_TYPE_CD` VARCHAR(20) NOT NULL,
  `ROLE_TYPE_ID` INT(11) NOT NULL,
  PRIMARY KEY (`EXT_ROLE_ID`),
  UNIQUE INDEX `XAK1SBI_EXT_ROLES` (`CODE`),
  INDEX `XIF1SBI_EXT_ROLES` (`ROLE_TYPE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_FUNCTIONS`;
CREATE TABLE `spagobi`.`SBI_FUNCTIONS` (
  `FUNCT_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `FUNCT_TYPE_CD` VARCHAR(20) NOT NULL,
  `PARENT_FUNCT_ID` INT(11) NULL,
  `NAME` VARCHAR(40) NULL,
  `DESCR` VARCHAR(160) NULL,
  `PATH` VARCHAR(400) NULL,
  `CODE` VARCHAR(20) NOT NULL,
  `FUNCT_TYPE_ID` INT(11) NOT NULL,
  PRIMARY KEY (`FUNCT_ID`),
  UNIQUE INDEX `XAK1SBI_FUNCTIONS` (`CODE`),
  INDEX `XIF1SBI_FUNCTIONS` (`FUNCT_TYPE_ID`),
  INDEX `XIF2SBI_FUNCTIONS` (`PARENT_FUNCT_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_FUNC_ROLE`;
CREATE TABLE `spagobi`.`SBI_FUNC_ROLE` (
  `ROLE_ID` INT(11) NOT NULL,
  `FUNCT_ID` INT(11) NOT NULL,
  `STATE_CD` VARCHAR(20) NULL,
  `STATE_ID` INT(11) NOT NULL,
  PRIMARY KEY (`FUNCT_ID`, `STATE_ID`, `ROLE_ID`),
  INDEX `XIF1SBI_FUNC_ROLE` (`ROLE_ID`),
  INDEX `XIF2SBI_FUNC_ROLE` (`FUNCT_ID`),
  INDEX `XIF4SBI_FUNC_ROLE` (`STATE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_LOV`;
CREATE TABLE `spagobi`.`SBI_LOV` (
  `LOV_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `DESCR` VARCHAR(160) NULL,
  `LABEL` VARCHAR(20) NOT NULL,
  `INPUT_TYPE_CD` VARCHAR(20) NOT NULL,
  `DEFAULT_VAL` VARCHAR(40) NULL,
  `LOV_PROVIDER` VARCHAR(2000) NULL,
  `INPUT_TYPE_ID` INT(11) NOT NULL,
  `PROFILE_ATTR` VARCHAR(20) NULL,
  `NAME` VARCHAR(40) NOT NULL,
  PRIMARY KEY (`LOV_ID`),
  UNIQUE INDEX `XAK1SBI_LOV` (`LABEL`),
  INDEX `XIF3SBI_LOV` (`INPUT_TYPE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_OBJECTS`;
CREATE TABLE `spagobi`.`SBI_OBJECTS` (
  `BIOBJ_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `ENGINE_ID` INT(11) NOT NULL,
  `DESCR` VARCHAR(160) NULL,
  `LABEL` VARCHAR(20) NOT NULL,
  `ENCRYPT` SMALLINT(6) NULL,
  `PATH` VARCHAR(400) NULL,
  `REL_NAME` VARCHAR(400) NULL,
  `STATE_ID` INT(11) NOT NULL,
  `STATE_CD` VARCHAR(20) NOT NULL,
  `BIOBJ_TYPE_CD` VARCHAR(20) NOT NULL,
  `BIOBJ_TYPE_ID` INT(11) NOT NULL,
  `SCHED_FL` SMALLINT(6) NULL,
  `EXEC_MODE_ID` INT(11) NULL,
  `STATE_CONS_ID` INT(11) NULL,
  `EXEC_MODE_CD` VARCHAR(20) NULL,
  `STATE_CONS_CD` VARCHAR(20) NULL,
  `NAME` VARCHAR(40) NOT NULL,
  `VISIBLE` SMALLINT(6) NOT NULL,
  `UUID` VARCHAR(40) NOT NULL,
  PRIMARY KEY (`BIOBJ_ID`),
  UNIQUE INDEX `XAK1SBI_OBJECTS` (`LABEL`),
  INDEX `XIF2SBI_OBJECTS` (`STATE_ID`),
  INDEX `XIF4SBI_OBJECTS` (`BIOBJ_TYPE_ID`),
  INDEX `XIF5SBI_OBJECTS` (`EXEC_MODE_ID`),
  INDEX `XIF6SBI_OBJECTS` (`STATE_CONS_ID`),
  INDEX `FK_sbi_objects_5` (`ENGINE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_OBJ_FUNC`;
CREATE TABLE `spagobi`.`SBI_OBJ_FUNC` (
  `BIOBJ_ID` INT(11) NOT NULL,
  `FUNCT_ID` INT(11) NOT NULL,
  `PROG` INT(11) NULL,
  PRIMARY KEY (`BIOBJ_ID`, `FUNCT_ID`),
  INDEX `XIF1SBI_OBJ_FUNC` (`BIOBJ_ID`),
  INDEX `XIF2SBI_OBJ_FUNC` (`FUNCT_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_OBJ_PAR`;
CREATE TABLE `spagobi`.`SBI_OBJ_PAR` (
  `OBJ_PAR_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `PAR_ID` INT(11) NOT NULL,
  `BIOBJ_ID` INT(11) NOT NULL,
  `LABEL` VARCHAR(20) NOT NULL,
  `REQ_FL` SMALLINT(6) NULL,
  `MOD_FL` SMALLINT(6) NULL,
  `VIEW_FL` SMALLINT(6) NULL,
  `MULT_FL` SMALLINT(6) NULL,
  `PROG` INT(11) NULL,
  `PARURL_NM` VARCHAR(20) NULL,
  `PRIORITY` INT(11) NULL,
  PRIMARY KEY (`OBJ_PAR_ID`),
  INDEX `XIF1SBI_OBJ_PAR` (`PAR_ID`),
  INDEX `XIF2SBI_OBJ_PAR` (`BIOBJ_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_OBJ_PARUSE`;
CREATE TABLE `spagobi`.`SBI_OBJ_PARUSE` (
  `OBJ_PAR_ID` INT(11) NOT NULL,
  `USE_ID` INT(11) NOT NULL,
  `OBJ_PAR_FATHER_ID` INT(11) NOT NULL,
  `FILTER_OPERATION` VARCHAR(10) NOT NULL,
  `PROG` INT(11) NOT NULL,
  `FILTER_COLUMN` VARCHAR(30) NOT NULL,
  `PRE_CONDITION` VARCHAR(10) NULL,
  `POST_CONDITION` VARCHAR(10) NULL,
  `LOGIC_OPERATOR` VARCHAR(10) NULL,
  PRIMARY KEY (`OBJ_PAR_ID`, `USE_ID`, `OBJ_PAR_FATHER_ID`, `FILTER_OPERATION`),
  INDEX `FK_sbi_obj_paruse_2` (`USE_ID`),
  INDEX `FK_sbi_obj_paruse_3` (`OBJ_PAR_FATHER_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_OBJ_STATE`;
CREATE TABLE `spagobi`.`SBI_OBJ_STATE` (
  `BIOBJ_ID` INT(11) NOT NULL,
  `STATE_ID` INT(11) NOT NULL,
  `END_DT` DATE NULL,
  `START_DT` DATE NOT NULL,
  `NOTE` VARCHAR(300) NULL,
  PRIMARY KEY (`BIOBJ_ID`, `STATE_ID`, `START_DT`),
  INDEX `XIF3SBI_OBJ_STATE` (`BIOBJ_ID`),
  INDEX `XIF4SBI_OBJ_STATE` (`STATE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_PARAMETERS`;
CREATE TABLE `spagobi`.`SBI_PARAMETERS` (
  `PAR_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `DESCR` VARCHAR(160) NULL,
  `LENGTH` SMALLINT(6) NOT NULL,
  `LABEL` VARCHAR(20) NOT NULL,
  `PAR_TYPE_CD` VARCHAR(20) NOT NULL,
  `MASK` VARCHAR(20) NULL,
  `PAR_TYPE_ID` INT(11) NOT NULL,
  `NAME` VARCHAR(40) NOT NULL,
  `FUNCTIONAL_FLAG` SMALLINT(6) NOT NULL DEFAULT '1',
  PRIMARY KEY (`PAR_ID`),
  UNIQUE INDEX `XAK1SBI_PARAMETERS` (`LABEL`),
  INDEX `XIF1SBI_PARAMETERS` (`PAR_TYPE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_PARUSE`;
CREATE TABLE `spagobi`.`SBI_PARUSE` (
  `USE_ID` INT(11) NOT NULL AUTO_INCREMENT,
  `LOV_ID` INT(11) NOT NULL,
  `LABEL` VARCHAR(20) NOT NULL,
  `DESCR` VARCHAR(160) NULL,
  `PAR_ID` INT(11) NOT NULL,
  `NAME` VARCHAR(40) NOT NULL,
  `MAN_IN` INT(11) NOT NULL,
  `SELECTION_TYPE` VARCHAR(20) NULL DEFAULT 'LIST',
  `MULTIVALUE_FLAG` INT(11) NULL DEFAULT '0',
  PRIMARY KEY (`USE_ID`),
  UNIQUE INDEX `XAK1SBI_PARUSE` (`PAR_ID`, `LABEL`),
  INDEX `XIF1SBI_PARUSE` (`PAR_ID`),
  INDEX `XIF2SBI_PARUSE` (`LOV_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_PARUSE_CK`;
CREATE TABLE `spagobi`.`SBI_PARUSE_CK` (
  `CHECK_ID` INT(11) NOT NULL,
  `USE_ID` INT(11) NOT NULL,
  `PROG` INT(11) NULL,
  PRIMARY KEY (`USE_ID`, `CHECK_ID`),
  INDEX `XIF1SBI_PARUSE_CK` (`USE_ID`),
  INDEX `XIF2SBI_PARUSE_CK` (`CHECK_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_PARUSE_DET`;
CREATE TABLE `spagobi`.`SBI_PARUSE_DET` (
  `EXT_ROLE_ID` INT(11) NOT NULL,
  `PROG` INT(11) NULL,
  `USE_ID` INT(11) NOT NULL,
  `HIDDEN_FL` SMALLINT(6) NULL,
  `DEFAULT_VAL` VARCHAR(40) NULL,
  PRIMARY KEY (`USE_ID`, `EXT_ROLE_ID`),
  INDEX `XIF2SBI_PARUSE_DET` (`EXT_ROLE_ID`),
  INDEX `XIF3SBI_PARUSE_DET` (`USE_ID`)
)
ENGINE = INNODB;

DROP TABLE IF EXISTS `spagobi`.`SBI_SUBREPORTS`;
CREATE TABLE `spagobi`.`SBI_SUBREPORTS` (
  `MASTER_RPT_ID` INT(11) NOT NULL,
  `SUB_RPT_ID` INT(11) NOT NULL,
  PRIMARY KEY (`MASTER_RPT_ID`, `SUB_RPT_ID`),
  INDEX `FK_sbi_subreports_2` (`SUB_RPT_ID`)
)
ENGINE = INNODB;



SET FOREIGN_KEY_CHECKS = 1;

-- ----------------------------------------------------------------------
-- EOF

